import static java.lang.Math.max;
import static java.lang.Math.min;
 
import java.io.*;
import java.util.*;
 
public class interactive_keka {
    private static void solve() throws IOException {
        long p = nextInt();
        long v = nextInt();
        long l[] = new long[100];
        long r[] = new long[100];
        for (int n = 0; ; n++) {
            long curL = 0;
            long curR = p + v * n;
            for (int i = 0; i < n; i++) {
                curL = max(curL, l[i]);
                curR = min(curR, r[i] + v * (n - i));
                for (int j = i + 1; j < n; j++) {
                    if (r[i] < l[j]) {
                        curL = max(curL, l[j] + divUp((l[j] - r[i]) * (n - j), j - i));
                    }
                    curR = min(curR, r[j] + divDown((r[j] - l[i]) * (n - j), j - i));
                }
            }
            if (curL > curR) {
                throw new AssertionError();
            }
            if (curL == curR) {
                out.println("answer " + curL);
                out.flush();
                return;
            }
            long mid = (curL + curR) >>> 1;
            out.println("check " + curL + " " + mid);
            out.flush();
            if ("Yes".equals(nextToken())) {
                curR = mid;
            } else {
                curL = mid + 1;
            }
            l[n] = curL;
            r[n] = curR;
        }
    }
     
    static long divUp(long a, long b) {
        return (a >= 0 ? a + b - 1 : a) / b;
    }
     
    static long divDown(long a, long b) {
        return (a >= 0 ? a : a - b + 1) / b;
    }
     
    public static void main(String[] args) throws IOException {
        br = new BufferedReader(new InputStreamReader(System.in));
        out = new PrintWriter(System.out);
        solve();
        out.close();
    }
 
    static BufferedReader br;
    static PrintWriter out;
    static StringTokenizer st;
 
    static String nextToken() throws IOException {
        while (st == null || !st.hasMoreTokens()) {
            String line = br.readLine();
            if (line == null) {
                return null;
            }
            st = new StringTokenizer(line);
        }
        return st.nextToken();
    }
 
    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }
 
    static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}